5,598,820 Members 33,531 Now Online
XDA Developers Android and Mobile Development Forum

How much do I need to reset to stock before taking it into the store?

Tip us?
 
YoungCorruptionV2.0
Old
#11  
YoungCorruptionV2.0's Avatar
Senior Member
Thanks Meter 550
Posts: 1,850
Join Date: Sep 2011
Just run the exe then do the software upgrade

Sent from my PG06100 using Tapatalk 2
Young Corruption's Music is BACK!!!
NEW
Take me away Song ends at 3:05. It will never cut where i want it to O.o makes the songs freaky because of that

Break Free

Oldish
True Story <-- did it more like an Alter-Ego type of song

Better Than Beyond(Cypher)<--- just submitted

Going Ham Featuring Gibbsy

I don't always ask for a THANKS, but when I do, I ask you to only hit it when I've helped you
 
nullstring2
Old
(Last edited by nullstring2; 16th May 2012 at 02:12 AM.)
#12  
Member - OP
Thanks Meter 8
Posts: 44
Join Date: Apr 2011
Thats kind of a pain.

I used http://goo.im/stock/speedy/ruu/PG06I...686_signed.zip

However, after it updated to S-ON, it says "Main Version is older! Update fail"
Do I need to use the 2.2 RUU?

EDIT:fastboot getvar version-main
2.77.651.3

Hrm. Did I screw up here?
Can I still use the 2.2 RUU?

Do I need to use the downgrade techniques to get it to downgrade?

EDIT2: I flashed the misc.img in order to trick hboot into installing 2.3.4 stock.
I'm not sure if I was suppose to have to do that.. but whatever, it worked.
 
prboy1969
Old
#13  
prboy1969's Avatar
Recognized Contributor
Thanks Meter 6205
Posts: 9,809
Join Date: May 2009
Location: Michigan
Quote:
Originally Posted by nullstring2 View Post
Thats kind of a pain.

I used http://goo.im/stock/speedy/ruu/PG06I...686_signed.zip

However, after it updated to S-ON, it says "Main Version is older! Update fail"
Do I need to use the 2.2 RUU?

EDIT:fastboot getvar version-main
2.77.651.3

Hrm. Did I screw up here?
Can I still use the 2.2 RUU?

Do I need to use the downgrade techniques to get it to downgrade?

EDIT2: I flashed the misc.img in order to trick hboot into installing 2.3.4 stock.
I'm not sure if I was suppose to have to do that.. but whatever, it worked.

Wait . What are you trying to accomplish? I thought you wanted to take it in for service. If you still want to take it in just run the 2.3.4 .exe RUU I've attached below. It will Update your device to 2.3.4 ,and done . Then you can take it in for service.

2.3.4 SPEEDY GB .exe RUU
 
nullstring2
Old
#14  
Member - OP
Thanks Meter 8
Posts: 44
Join Date: Apr 2011
Quote:
Originally Posted by prboy1969 View Post
Wait . What are you trying to accomplish? I thought you wanted to take it in for service. If you still want to take it in just run the 2.3.4 .exe RUU I've attached below. It will Update your device to 2.3.4 ,and done . Then you can take it in for service.

2.3.4 SPEEDY GB .exe RUU
I already got it flashed... so the issue is solved.

But, are you sure just using the RUU will work?
I was having issues because I was trying to install 2.76 "main-version" when the installed version was 2.77 or something, and it wouldn't let me downgrade.

As far as I understand both the file I linked and the one you posted validate against the version.

Therefore, I had to flash the misc.img for the TB (like you do to downgrade to 2.2), and then i was able to do it fine.
 
prboy1969
Old
#15  
prboy1969's Avatar
Recognized Contributor
Thanks Meter 6205
Posts: 9,809
Join Date: May 2009
Location: Michigan
Glad you got it sorted. Yes, any of the Speedy RUU's should work. So long as you are Fully Rooted ( S-OFF ). If not then you can only Upgrade RUU.

TEAM MiK
MikROMs Since 3/13/11
The Following User Says Thank You to prboy1969 For This Useful Post: [ Click to Expand ]
 
nullstring2
Old
#16  
Member - OP
Thanks Meter 8
Posts: 44
Join Date: Apr 2011
Quote:
Originally Posted by prboy1969 View Post
Glad you got it sorted. Yes, any of the Speedy RUU's should work. So long as you are Fully Rooted ( S-OFF ). If not then you can only Upgrade RUU.
I see. The issue with the PG06IMG is that the first thing it does is flash the bootlooder to S-ON, and then you can only upgrade.

Thank goodness for that TB misc.img exploit!
Could have really screwed myself over there. I'll have to be more careful in the future.
 
prboy1969
Old
#17  
prboy1969's Avatar
Recognized Contributor
Thanks Meter 6205
Posts: 9,809
Join Date: May 2009
Location: Michigan
Always here to help
 
Enraged21
Old
#18  
Senior Member
Thanks Meter 21
Posts: 490
Join Date: Apr 2011
Location: Orlando, FL
Where's the RUU for 2.2? Prboy, the link you posted was for 2.3 if its possible, can some post a link for 2.2? I tried searching but didn't find it. I'm on mobile so that's why

Shifted from my EVO
 
prboy1969
Old
#19  
prboy1969's Avatar
Recognized Contributor
Thanks Meter 6205
Posts: 9,809
Join Date: May 2009
Location: Michigan
Quote:
Originally Posted by Enraged21 View Post
Where's the RUU for 2.2? Prboy, the link you posted was for 2.3 if its possible, can some post a link for 2.2? I tried searching but didn't find it. I'm on mobile so that's why

Shifted from my EVO
No worries . What your looking for is HERE.
 
Enraged21
Old
#20  
Senior Member
Thanks Meter 21
Posts: 490
Join Date: Apr 2011
Location: Orlando, FL
Quote:
Originally Posted by prboy1969 View Post
No worries . What your looking for is HERE.
You're the man... Appreciate it

Shifted from my EVO

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes